This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 192995 - Many man directories are not owned by any package
Many man directories are not owned by any package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-05-24 13:31 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-22 08:38:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-05-24 13:31:40 EDT
Description of problem:
Many man directories are not owned by any package, but should be owned by 
man, as the man rpm package is delivering its content.

Version-Release number of selected component (if applicable):
man-1.6c-3

How reproducible:
rpm -qf /usr/share/man/en/man1
rpm -qf /usr/share/man/pl/man5

Expected results:
Please apply the following patch (or better):

--- snipp ---
--- man.spec       2006-05-24 19:32:38.000000000 +0200
+++ man.spec.rsc   2006-05-24 19:33:00.000000000 +0200
@@ -241,80 +241,43 @@
 %{_mandir}/man1/man2html.1*
 %{_mandir}/man8/makewhatis.8*
 /usr/bin/man2html
-%lang(bg) %dir /usr/share/locale/bg
-%lang(bg) /usr/share/locale/bg/man
-%lang(bg) %dir /usr/share/man/bg
-%lang(bg) /usr/share/man/bg/man?/*
-%lang(cs) %dir /usr/share/locale/cs
-%lang(cs) /usr/share/locale/cs/man
-%lang(cs) %dir /usr/share/man/cs
-%lang(cs) /usr/share/man/cs/man?/*
-%lang(da) %dir /usr/share/locale/da
-%lang(da) /usr/share/locale/da/man
-%lang(da) %dir /usr/share/man/da
-%lang(da) /usr/share/man/da/man?/*
-%lang(de) %dir /usr/share/locale/de
-%lang(de) /usr/share/locale/de/man
-%lang(de) %dir /usr/share/man/de
-%lang(de) /usr/share/man/de/man?/*
-%lang(el) %dir /usr/share/locale/el
-%lang(el) /usr/share/locale/el/man
-%lang(el) %dir /usr/share/man/el
-%lang(el) /usr/share/man/el/man?/*
-%lang(en) %dir /usr/share/locale/en
-%lang(en) /usr/share/locale/en/man
-%lang(en) %dir /usr/share/man/en
-%lang(en) /usr/share/man/en/man?/*
-%lang(es) %dir /usr/share/locale/es
-%lang(es) /usr/share/locale/es/man
-%lang(es) %dir /usr/share/man/es
-%lang(es) /usr/share/man/es/man?/*
-%lang(fi) %dir /usr/share/locale/fi
-%lang(fi) /usr/share/locale/fi/man
-%lang(fi) %dir /usr/share/man/fi
-%lang(fi) /usr/share/man/fi/man?/*
-%lang(fr) %dir /usr/share/locale/fr
-%lang(fr) /usr/share/locale/fr/man
-%lang(fr) %dir /usr/share/man/fr
-%lang(fr) /usr/share/man/fr/man?/*
-%lang(hr) %dir /usr/share/locale/hr
-%lang(hr) /usr/share/locale/hr/man
-%lang(hr) %dir /usr/share/man/hr
-%lang(hr) /usr/share/man/hr/man?/*
-%lang(it) %dir /usr/share/locale/it
-%lang(it) /usr/share/locale/it/man
-%lang(it) %dir /usr/share/man/it
-%lang(it) /usr/share/man/it/man?/*
-%lang(ja) %dir /usr/share/locale/ja
-%lang(ja) /usr/share/locale/ja/man
-%lang(ja) %dir /usr/share/man/ja
-%lang(ja) /usr/share/man/ja/man?/*
-%lang(ko) %dir /usr/share/locale/ko
-%lang(ko) /usr/share/locale/ko/man
-%lang(ko) %dir /usr/share/man/ko
-%lang(ko) /usr/share/man/ko/man?/*
-%lang(nl) %dir /usr/share/locale/nl
-%lang(nl) /usr/share/locale/nl/man
-%lang(nl) %dir /usr/share/man/nl
-%lang(nl) /usr/share/man/nl/man?/*
-%lang(pl) %dir /usr/share/locale/pl
-%lang(pl) /usr/share/locale/pl/man
-%lang(pl) %dir /usr/share/man/pl
-%lang(pl) /usr/share/man/pl/man?/*
-%lang(pt) %dir /usr/share/locale/pt
-%lang(pt) /usr/share/locale/pt/man
-%lang(pt) %dir /usr/share/man/pt
-%lang(pt) /usr/share/man/pt/man?/*
-%lang(ro) %dir /usr/share/locale/ro
-%lang(ro) /usr/share/locale/ro/man
-%lang(ro) %dir /usr/share/man/ro
-%lang(ro) /usr/share/man/ro/man?/*
-%lang(sl) %dir /usr/share/locale/sl
-%lang(sl) /usr/share/locale/sl/man
-%lang(sl) %dir /usr/share/man/sl
-%lang(sl) /usr/share/man/sl/man?/*
-%lang(ru) %dir /usr/share/locale/ru
-%lang(ru) /usr/share/locale/ru/man
+%lang(bg) /usr/share/locale/bg
+%lang(bg) /usr/share/man/bg
+%lang(cs) /usr/share/locale/cs
+%lang(cs) /usr/share/man/cs
+%lang(da) /usr/share/locale/da
+%lang(da) /usr/share/man/da
+%lang(de) /usr/share/locale/de
+%lang(de) /usr/share/man/de
+%lang(el) /usr/share/locale/el
+%lang(el) /usr/share/man/el
+%lang(en) /usr/share/locale/en
+%lang(en) /usr/share/man/en
+%lang(es) /usr/share/locale/es
+%lang(es) /usr/share/man/es
+%lang(fi) /usr/share/locale/fi
+%lang(fi) /usr/share/man/fi
+%lang(fr) /usr/share/locale/fr
+%lang(fr) /usr/share/man/fr
+%lang(hr) /usr/share/locale/hr
+%lang(hr) /usr/share/man/hr
+%lang(it) /usr/share/locale/it
+%lang(it) /usr/share/man/it
+%lang(ja) /usr/share/locale/ja
+%lang(ja) /usr/share/man/ja
+%lang(ko) /usr/share/locale/ko
+%lang(ko) /usr/share/man/ko
+%lang(nl) /usr/share/locale/nl
+%lang(nl) /usr/share/man/nl
+%lang(pl) /usr/share/locale/pl
+%lang(pl) /usr/share/man/pl
+%lang(pt) /usr/share/locale/pt
+%lang(pt) /usr/share/man/pt
+%lang(ro) /usr/share/locale/ro
+%lang(ro) /usr/share/man/ro
+%lang(sl) /usr/share/locale/sl
+%lang(sl) /usr/share/man/sl
+%lang(ru) /usr/share/locale/ru
 %attr(0755,root,root)  %dir %{cache}
 %attr(0775,root,man)   %dir %{cache}/cat[123456789n]
 %attr(0775,root,man)   %dir %{cache}/local
--- snapp ---
Comment 1 Ivana Varekova 2006-06-22 08:38:42 EDT
Thank you for your bug report.
This problem is fixed in man-1.6c-4.

Note You need to log in before you can comment on or make changes to this bug.